Bug 180962 - [patch update] net/quagga 0.99.22 -> 0.99.22.1
[patch update] net/quagga 0.99.22 -> 0.99.22.1
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: William Grzybowski
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-31 08:10 UTC by fbsd-ports
Modified: 2013-08-01 16:40 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (932 bytes, patch)
2013-07-31 08:10 UTC, fbsd-ports
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description fbsd-ports 2013-07-31 08:10:00 UTC
	-

How-To-Repeat: 	-
Comment 1 Edwin Groothuis freebsd_committer 2013-07-31 08:10:09 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-07-31 08:10:10 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2013-07-31 08:10:10 UTC
Maintainer of net/quagga,

Please note that PR ports/180962 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/180962

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 pi 2013-07-31 08:26:52 UTC
Hi!

There's 0.99.22.3 already out.

Attached.

------------
diff -r -u -N net/quagga/Makefile /usr/home/pi/myp/net/quagga/Makefile
--- net/quagga/Makefile	2013-07-24 23:24:37.000000000 +0200
+++ /usr/home/pi/myp/net/quagga/Makefile	2013-07-31 09:24:35.000000000 +0200
@@ -2,7 +2,7 @@
 # $FreeBSD: head/net/quagga/Makefile 323547 2013-07-23 20:00:53Z pawel $
 
 PORTNAME=	quagga
-PORTVERSION=	0.99.22
+PORTVERSION=	0.99.22.3
 PORTREVISION=	2
 CATEGORIES=	net ipv6
 MASTER_SITES=	SAVANNAH
diff -r -u -N net/quagga/distinfo /usr/home/pi/myp/net/quagga/distinfo
--- net/quagga/distinfo	2013-03-29 23:24:35.000000000 +0100
+++ /usr/home/pi/myp/net/quagga/distinfo	2013-07-31 09:24:51.000000000 +0200
@@ -1,2 +1,2 @@
-SHA256 (quagga-0.99.22.tar.gz) = 5e5f5506e9e53daf785e8bf2dc41ba09a13e6f45b558de4351fe08da8c6a75bd
-SIZE (quagga-0.99.22.tar.gz) = 2351197
+SHA256 (quagga-0.99.22.3.tar.gz) = 719c60a54345e281e467d1f523e136ecd76b6da005429ffd498dfae6795526a2
+SIZE (quagga-0.99.22.3.tar.gz) = 2363963
------------

-- 
pi@opsec.eu            +49 171 3101372                         7 years to go !
Comment 5 boris 2013-07-31 12:59:21 UTC
Hello!

     Agree to 0.99.22.3 update. Please close ports/180960 then.

-- 
Regards,
Boris
Comment 6 Mark Linimon freebsd_committer 2013-08-01 04:34:24 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 7 William Grzybowski freebsd_committer 2013-08-01 15:58:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 8 William Grzybowski freebsd_committer 2013-08-01 16:35:59 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 9 dfilter freebsd_committer 2013-08-01 16:36:07 UTC
Author: wg
Date: Thu Aug  1 15:35:53 2013
New Revision: 324111
URL: http://svnweb.freebsd.org/changeset/ports/324111

Log:
  net/quagga: update to 0.99.22.3
  
  - Update to 0.99.22.3 [1]
  - USES gmake
  - Remove useless options include
  
  Changes: http://savannah.c3sl.ufpr.br//quagga/quagga-0.99.22.3.changelog.txt
  
  PR:		ports/180962 [1]
  Submitted by:	Kurt Jaeger <fbsd-ports opsec.eu>
  Approved by:	maintainer

Modified:
  head/net/quagga/Makefile
  head/net/quagga/distinfo

Modified: head/net/quagga/Makefile
==============================================================================
--- head/net/quagga/Makefile	Thu Aug  1 14:56:44 2013	(r324110)
+++ head/net/quagga/Makefile	Thu Aug  1 15:35:53 2013	(r324111)
@@ -2,8 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	quagga
-PORTVERSION=	0.99.22
-PORTREVISION=	2
+PORTVERSION=	0.99.22.3
 CATEGORIES=	net ipv6
 MASTER_SITES=	SAVANNAH
 MASTER_SITE_SUBDIR=	quagga
@@ -17,10 +16,10 @@ LICENSE=	GPLv2
 
 CONFLICTS=	openbgpd-[0-9]* openospfd-[0-9]* zebra-0* quagga-re-[0-9]*
 
+USES=		gmake
 USE_AUTOTOOLS=	libtool autoheader aclocal
 ACLOCAL_ARGS=	-I${LOCALBASE}/share/aclocal
 BUILD_DEPENDS+=	gawk:${PORTSDIR}/lang/gawk
-USE_GMAKE=	yes
 USE_LDCONFIG=	yes
 USE_PERL5_BUILD=yes
 FETCH_ARGS=	-Fpr
@@ -41,8 +40,6 @@ DLMALLOC_DESC=		Use dlmalloc (makes bgpd
 NO_BGP_ANNOUNCE_DESC=	Turn off BGP route announcement
 OSPF_NEXTHOP_DESC=	Set ip next-hop in OSPF route maps
 
-.include <bsd.port.options.mk>
-
 .include <bsd.port.pre.mk>
 
 CFLAGS+=	-I${LOCALBASE}/include

Modified: head/net/quagga/distinfo
==============================================================================
--- head/net/quagga/distinfo	Thu Aug  1 14:56:44 2013	(r324110)
+++ head/net/quagga/distinfo	Thu Aug  1 15:35:53 2013	(r324111)
@@ -1,2 +1,2 @@
-SHA256 (quagga-0.99.22.tar.gz) = 5e5f5506e9e53daf785e8bf2dc41ba09a13e6f45b558de4351fe08da8c6a75bd
-SIZE (quagga-0.99.22.tar.gz) = 2351197
+SHA256 (quagga-0.99.22.3.tar.gz) = 719c60a54345e281e467d1f523e136ecd76b6da005429ffd498dfae6795526a2
+SIZE (quagga-0.99.22.3.tar.gz) = 2363963
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"